//______________________________________________________________________________
//   |       |
//   | knipp |           Knipp Medien und Kommunikation GmbH
//    -------
//
//
//     Knipp RRI Toolkit
//
//
//     Copyright (C) 2005 by Knipp Medien und Kommunikation GmbH
//
//     This library is free software; you can redistribute it and/or
//     modify it under the terms of the GNU Lesser General Public License
//     as published by the Free Software Foundation; either version 2.1
//     of the License, or any later version.
//
//     This library is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//     GNU Lesser General Public License for more details.
//
//     You should have received a copy of the GNU Lesser General
//     Public License along with this library; if not, write to the
//     Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//     Boston, MA 02111-1307 USA
//
//
//     initial author:    Klaus Malorny
//
//     version:           1.7 (1007), 2019/05/08 12:15:02
//                        $Revision: 950 $
//                        $Date: 2018-01-30 18:36:44 +0100 (Di, 30 Jan 2018) $
//                        $Author: klaus.malorny $
//

package de.knipp.rritoolkit.message;

/**
 *  class that represents the AuthInfo 2 delete message
 *
 *  @version  $Revision: 950 $
 *  @author   Klaus Malorny
 */

public class AuthInfo2DeleteMessage extends DeleteMessageBase
{
  /**
   *  call the suitable method of the given visitor
   *
   *  @param visitor        the visitor
   */

  @Override
  public void accept (MessageVisitor visitor)
  {
    visitor.visit (this);
  }


  /**
   *  call the suitable method of the given visitor
   *
   *  @param <R>            the return value type of the visitor
   *  @param visitor        the visitor
   *  @return               the value returned by the visitor
   */

  @Override  
  public <R> R accept (MessageFuncVisitor<R> visitor)
  {
    return visitor.visit (this);
  }
  
  
}
